List a model's deployments
curl --request GET \
--url https://api.example.com/api/models/{model}/deployments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/models/{model}/deployments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/models/{model}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"owner": "<string>",
"model": {
"model_name": "<string>",
"model_version": "<string>",
"model_alias": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_model_version": "<string>",
"dag_id": "<string>",
"dag_s3_uri": "<string>",
"schedule": "<string>",
"last_run": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"airflow_run_id": "<string>",
"rows_scored": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"service_url": "<string>",
"replica_count": 123,
"ready_replicas": 123,
"allowed_roles": [
"<string>"
],
"error_message": "<string>",
"stopped_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deployment
List a model's deployments
Returns only deployments for the specified registered model. You can’t list deployments across multiple models in a single call.
GET
/
api
/
models
/
{model}
/
deployments
List a model's deployments
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Available options:
batch, online Available options:
pending, deploying, active, failed, stopped, archived Required range:
1 <= x <= 500Required range:
x >= 0Was this page helpful?
⌘I

